Ruby: Data Fields

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - n -

- n : BigStruct, enum_sum_memo, nmin_data, sort_by_data, struct_108byte, struct_116byte, trace_clear_local_events_struct, trace_set_local_events_struct
- n_lead : rb_scan_args_t
- n_opt : rb_scan_args_t
- n_trail : rb_scan_args_t
- name : backref_name_tag, bin, CallNode, dirent_brace_args, file, gz_header_s, input_code, kwtable, loaded_feature_searching, magic_comment, NameEntry, nkf_encoding, nkf_native_encoding, OnigEncodingTypeST, OnigToken, ossl_asn1_info_t, PosixBracketEntryType, rb_builtin_function, rb_encoding_entry, rb_ractor_struct, rb_thread_struct, ruby_cmdline_options, ruby_dtrace_method_hook_args, tar_header, WSAMSG, zone
- name_end : CallNode, OnigToken
- name_len : NameEntry
- name_max : gz_header_s
- name_table : re_pattern_buffer
- namelen : push_glob_args, WSAMSG
- native_size_p : rb_memory_view_item_component_t
- native_thread_data : rb_thread_struct
- ncode : inflate_state
- nd_loc : RNode
- ndim : rb_memory_view_t
- ndist : inflate_state
- need_clean : rb_hook_list_struct
- need_major_gc : rb_objspace
- need_yield : rb_global_vm_lock_struct
- needmore : enc_synmane_type_leading_chars_tag
- negative : big2str_struct
- negative_cme_table : rb_vm_struct
- nerr : cparse_params
- nest : rb_strterm_literal_struct
- nest_level : BRefNode
- NetLuidIndex : NET_LUID
- new_key : update_arg
- new_klass : clone_method_arg
- new_path : chdir_data
- new_pgroup_flag : rb_execarg
- new_pgroup_given : rb_execarg
- new_val : GroupNumRemap
- new_value : update_arg
- newclass : marshal_compat_t
- newfd : run_exec_dup2_fd_pair
- newobj_cache : rb_ractor_struct
- newobj_trace : traceobj_arg
- next : _NtCmdLineElement, attr_item, Bigint, bin, end_proc_data, ensure_range, fiber_pool_allocation, fiber_pool_vacancy, file, force_finalize_list, gc_list, glob_pattern, gzFile_s, inflate_state, iseq_compile_data_storage, iseq_link_element, malloc_segment, mapping_buffer, mjit_cont, MT, node_buffer_elem_struct, OnigEndCallListItem, rb_at_exit_list, rb_cref_struct, rb_ensure_list, rb_event_hook_struct, rb_imemo_tmpbuf_struct, rb_subclass_entry, rb_thread_cond_struct, rb_waiting_list, RVALUE, RZombie, search_path_queue_tag, stack_chunk, state, token_info, trace_var
- next_byte : rb_transcoding
- next_datablock : linkedlist_datablock_internal_s
- next_head_exact : QtfrNode
- next_in : z_stream_s
- next_index : rb_objspace
- next_info : rb_transcoding
- next_mutex : rb_mutex_struct
- next_object_id : rb_objspace
- next_out : z_stream_s
- next_p : argf
- next_table : rb_transcoding
- nextline : parser_params
- nfc_buf : nkf_state_t
- nfiles : DIR
- ngrn : arg_state
- nice_length : config_s
- nice_match : internal_state
- nlen : inflate_state
- nn : BigStruct
- no_kwarg : rb_args_info
- no_redef_warning : rb_method_definition_struct
- noalloc : finish_writeconv_arg
- node : ASTNodeData, getaddrinfo_arg, iseq_compile_data, native_thread_data_struct, RNode, sync_waiter, YYSTYPE
- node_buffer : rb_ast_struct
- node_id : parser_params, rb_iseq_location_struct, RNode
- node_level : iseq_compile_data
- nonblock : io_internal_read_struct
- nonspc : token_info
- nosort : ruby_glob_entries_t
- nosync : write_arg
- not : CtypeNode, OnigToken
- notimp : copy_stream_struct
- notrace_encoded_insn : insn_data_struct
- now : tr
- nread : enc_synmane_type_leading_chars_tag
- nsaa : arg_state
- nsrn : arg_state
- nt_base : cparse_params
- nth : ComplexDateData, SimpleDateData
- null_check : _OnigStackType
- num : _OnigStackType, OnigToken, os_each_struct, rb_id_table, rb_iseq_constant_body, RRational, UnsetAddrList, YYSTYPE
- num_additional : trans_open_t
- num_allocated : rb_econv_t
- num_call : re_pattern_buffer, ScanEnv
- num_comb_exp_check : re_pattern_buffer
- num_entries : st_table
- num_file : unz64_s
- num_finished : rb_econv_t
- num_ivar : w_ivar_arg
- num_mem : re_pattern_buffer, ScanEnv
- num_named : ScanEnv
- num_newer : run_exec_dup2_fd_pair
- num_null_check : re_pattern_buffer
- num_of_elements : OnigCompileInfo
- num_of_file : unz64_file_pos_s, unz_file_pos_s
- num_regs : re_registers
- num_repeat : re_pattern_buffer
- num_trans : rb_econv_t
- number_entry : unz_global_info64_s, unz_global_info_s, zip64_internal
- numiv : gen_ivtbl, RObject
- numparam : local_vars